端口统计API (已弃用)
先决条件
验证-提交您的用户凭据,客户端ID和客户端机密以进行OAuth2 验证。有关如何致电OAuth API以验证和验证您的凭据的说明,请参阅API验证。
获取指定端口的统计信息
要检索带宽利用率统计端口,请向端点发送GET请求/fabric/v4/ports/{uuid}/stats。在请求路径中按ID指定端口。使用ISO-8601标准日期-时间戳指定统计信息的时间帧作为查询参数。
| 方法 | GET |
| URL 或端点 | /fabric/v4/ports/{uuid}/stats |
| 标题 | Authorization,Content-Type |
| 路径参数 | uuid |
| 查询参数 | startDateTime,endDateTime |
| 身体参数 | 不适用 |
cURL 请求示例:
curl -X GET 'https://api.equinix.com/fabric/v4/ports/{port_id}/stats?startDateTime=2021-01-07T19:26:22Z&endDateTime=2021-01-26T19:55:22Z'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
示例回答:
{
"type": "XF_PORT",
"uuid": "xxxxx191-xx70-xxxx-xx04-xxxxxxxa37xx",
"name": "Equinix-EM-CX-xxx-L-Dot1q-BO-100G-PRI-xx",
"bandwidth": 10000,
"stats": {
"startDateTime": "2021-02-24T16:00:00Z",
"endDateTime": "2021-02-25T23:59:44Z",
"bandwidthUtilization": {
"unit": "Mbps",
"metricInterval": "PT5M",
"inbound": {
"max": 36.46022222224523,
"mean": 12.681258259259257,
"lastPolled": 24.67873548,
"metrics": [
{
"intervalEndDateTime": "2021-02-24T16:00:00Z",
"max": 24.197777777777777,
"mean": 9.460203703703565
},
{
"intervalEndDateTime": "2021-02-24T16:05:00Z",
"max": 29.237066666666667,
"mean": 11.487487592592595
},
{
"intervalEndDateTime": "2021-02-24T16:10:00Z",
"max": 31.2726757889999,
"mean": 11.77661203703704
},
{
"intervalEndDateTime": "2021-03-04T16:15:00Z",
"max": 28.179666666666666,
"mean": 7.414631481481509
},
{
"intervalEndDateTime": "2021-03-15T16:20:00Z",
"max": 29.29311111111111,
"mean": 6.247431481481508
}
]
},
"outbound": {
"max": 60.33548888888889,
"mean": 41.22711543985719,
"lastPolled": 55.14977777777778,
"metrics": [
{
"intervalEndDateTime": "2021-02-24T16:00:00Z",
"max": 53.790333333333336,
"mean": 39.80057592592591
},
{
"intervalEndDateTime": "2021-02-24T16:05:00Z",
"max": 57.353,
"mean": 38.678568800295
},
{
"intervalEndDateTime": "2021-02-24T16:10:00Z",
"max": 59.32777777777778,
"mean": 35.08689444444445
},
{
"intervalEndDateTime": "2021-02-24T16:15:00Z",
"max": 537274933333333300,
"mean": 23.855259259259284
},
{
"intervalEndDateTime": "2021-02-24T16:20:00Z",
"max": 57.75604444444444,
"mean": 41.36731129629629
}
]
}
}
}
}
响应字段的详细说明,请参阅《API参考手册》。